Subject: Re: bug#40137: 25.1; ERC ignore function should allow specifying a limited duration

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 02 Aug 2020 19:07:20 +0200

Amin Bandali <[email-masked]> writes:

>> Anyway, if this were to be implemented, in what format would the
>> timeout be queried for?  Perhaps hours?
>
> Irssi seems to use seconds [0].  But I think minutes would be a nice
> compromise between seconds and hours.  Though, ideally, we'd be able to
> parse relative time strings like "+1h", "+3d", "+2w", and so on.
>
> [0]: <https://irssi.org/documentation/help/ignore/>
>
> Do you know if Emacs has functions for parsing such time formats outside
> Org?  This seems like one of many situations they would come in handy.

Yeah, that would be handy...  I think.  Or perhaps not -- asking people
to learn a new "language" to just set a timeout is perhaps not ideal...

Anyway, I think hours would make sense -- it's a human-scale unit.  If
people want a quarter hour, they can just say 0.15.  Inputting seconds
sounds kinda ... excessively precise. 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no